-----------------
-- Arcanroo V0.3
--
-- By Roobird
-- EU-Netherstorm
-----------------


Arcanroo_loaded = false

--[[
function Arcanroo_Resize(command)	


	if command == '+' then
		output_size = output_size + 4;
		Arcanroo_Output:SetTextHeight(output_size);
		print("|cFF69CCF0 Arcanroo|r :: Upsized!");
	end	
	if command == '-' then
		output_size = output_size - 4;
		Arcanroo_Output:SetTextHeight(output_size);
		print("|cFF69CCF0 Arcanroo|r :: Downsized!");	
 	end


end
]]--


local function Arcanroo_handler(msg, editbox)
 
	defaultslash = true ;	-- For Default Help
	 
--[[ 	if msg == '+' or msg == '-' then
		Arcanroo_Resize(msg);
    	Arcanroo_Output:SetText(' ');
		defaultslash = false;
 	end
 	
 	if msg == 'reset' or msg == 'r' then
 		output_size = 40;
 		Arcanroo_Output:SetTextHeight(output_size);
		print("|cFF69CCF0 Arcanroo|r :: Resetted!");
		defaultslash = false;
	end  ]]--
	 	 	 	
 	if msg == 'lock' or msg == 'l' then
 		ArcanrooForm:EnableMouse(false); 
		defaultslash = false; 
		print("|cFF69CCF0 Arcanroo|r :: Locked!");		
 	end
 	
 	if msg == 'unlock' or msg == 'ul' then
 		ArcanrooForm:EnableMouse(true); 
		defaultslash = false; 	
		print("|cFF69CCF0 Arcanroo|r :: Unlocked!");	
 	end
 	
	if msg == 'hide' or msg == 'h' then
	  	ArcanrooForm:Hide();
        arcanroo_show = false;    
	  	defaultslash = false;
	  	print("|cFF69CCF0 Arcanroo|r :: hide!");	
	end
	
	if msg == 'show' or msg == 's' then
	  	ArcanrooForm:Show();
	  	arcanroo_show = true;    
	  	defaultslash = false;
		print("|cFF69CCF0 Arcanroo|r :: show!");	
 	end	

	if msg == 'help' or defaultslash then
		print('|cFF69CCF0 Arcanroo |r :: Help');
		print('-------------------------------');
		print('|cFF69CCF0 /aroo show |r (or s) to show the manaframe');
		print('|cFF69CCF0 /aroo hide |r (or h) to show the manaframe');
		print('|cFF69CCF0 /aroo lock|r (or l) to lock');
		print('|cFF69CCF0 /aroo unlock|r (or ul) to unlock');
		print('|cFF69CCF0 /aroo help|r to see this ;) ');
	end
		 
 	 		

end



function Arcanroo_Load()

	ArcanrooForm:Show()
  
  	print ("|cFF69CCF0 Arcanroo |rV0.3|cFFFF0000 loaded.");
  	print ("|r|rUse|cFF69CCF0 /aroo|r for help!");
    
    Arcanroo_loaded = true;
    Arcanroo_Mana:SetTextHeight(44);
    Arcanroo_Dottimer:SetTextHeight(36);
    Arcanroo_Debuffstack:SetTextHeight(36);
    Arcanroo_Debuff:Hide();
    Arcanroo_FullStack:Hide();
end


function Arcanroo_Init()

	if Arcanroo_loaded == true then

		if arcanroo_show == nil then
		  
		    print ("|cFF69CCF0 Arcanroo |r:: First time loaded!");
		    print ("|cFF69CCF0 Arcanroo |r:: Initialising global variables....");
		    print ("|cFF69CCF0 Arcanroo |r:: DONE!");
		
  			arcanroo_show = true;
  		end
 
  		if arcanroo_show == false then
      		ArcanrooForm:Hide();
  		end
		
		i = UnitPower("player", 0);
		k = UnitPowerMax("player", 0);
		j = (i/k)* 100 ;
		j = floor(j);
		  
  		if  j> 89 then	
    
    		Arcanroo_Mana:SetTextColor(0, 1, 0, 1);
    		Arcanroo_Mana:SetText(j.." %");
  		end
      
  		if j < 35 then 
  
    		Arcanroo_Mana:SetTextColor(1, 0, 0, 1);
    		Arcanroo_Mana:SetText(j.." %");
  		end
  
 	 	if j < 90 and j > 34 then
      
    		Arcanroo_Mana:SetTextColor(1, 1, 1, 1);
    		Arcanroo_Mana:SetText(j.." %");
  		end
  		
  	  		  		
  		Arcanroo_debuff,_,_,_,_,_,Arcanroo_expTime = UnitAura("target", "Nether Tempest" , nil , "PLAYER|HARMFUL")
  		
  		
  		if Arcanroo_debuff == nil then  		  		
	  		Arcanroo_debuff,_,_,_,_,_,Arcanroo_expTime = UnitAura("target", "Netherorkan" , nil , "PLAYER|HARMFUL")
  		end
  		  		
  		if Arcanroo_debuff == nil then
  			Arcanroo_Dottimer:SetText(" ");
  			Arcanroo_Dot:SetAlpha(1);
  			Arcanroo_Dot:Show();
  		else
  			Arcanroo_DotTime = Arcanroo_expTime - GetTime()  -- Debuff time
  			Arcanroo_Dot:Hide();
  			if Arcanroo_DotTime <= 5 then
  				Arcanroo_Dot:Show();
  				Arcanroo_Dot:SetAlpha(1.5/Arcanroo_DotTime);
  				Arcanroo_Dottimer:SetText(floor(Arcanroo_DotTime));
  			end	
  		end
 
 		
  		Arcanroo_buff,_,_,Arcanroo_Stacks = UnitAura("player", "Arcane Charge", nil, "PLAYER|HARMFUL")
		
		if Arcanroo_buff == nil then
			Arcanroo_buff,_,_,Arcanroo_Stacks = UnitAura("player", "Arkane Aufladung", nil, "PLAYER|HARMFUL")
		end
		
		
		if Arcanroo_buff == nil then
			Arcanroo_Debuffstack:SetText( " " );
			Arcanroo_Debuff:Hide();
			Arcanroo_FullStack:Hide();
			Arcanroo_sound_played = false;
		else
			Arcanroo_Debuff:Show();
			Arcanroo_Debuffstack:SetText(Arcanroo_Stacks);
			if Arcanroo_Stacks == 6 then
				Arcanroo_FullStack:Show();
				
				if Arcanroo_sound_played == false then
					PlaySoundFile("Sound\\Event\\Event_THIntro_FirstShipExplo.ogg", "Master")
					Arcanroo_sound_played = true
				end
				
				if fx_do == nil then
				 	fx_do = true
				 	fx_i = 20
				end
				if fx_do then
					if fx_i < 1 then
						fx_do = false
					else
						fx_i = fx_i - 1
					end
				else
					if fx_i > 18 then
						fx_do = true
					else
						fx_i = fx_i + 1
					end
				end
				Arcanroo_FullStack:SetAlpha(fx_i/20)
			end
		end
		
		
	end
end

SLASH_ARCANROO1, SLASH_ARCANROO2 = '/arcanroo', '/aroo';
SlashCmdList["ARCANROO"] = Arcanroo_handler;
